"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.whitelistPlugin = void 0;
const apollo_server_errors_1 = require("apollo-server-errors");
function whitelistPlugin(whitelist) {
    return {
        serverWillStart(_service) {
            console.log(`The server is configured to accept ${Object.keys(whitelist).length} operations from the provided whitelist`);
        },
        requestDidStart() {
            return {
                parsingDidStart(context) {
                    if (whitelist[context.request.query] === undefined) {
                        throw new apollo_server_errors_1.ForbiddenError('Operation is forbidden');
                    }
                }
            };
        }
    };
}
exports.whitelistPlugin = whitelistPlugin;
//# sourceMappingURL=whitelist_plugin.js.map